autoweka

## Enum Parameter.ParamType

- java.lang.Object
- - java.lang.Enum<Parameter.ParamType>
  - - autoweka.Parameter.ParamType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Parameter.ParamType>
  Enclosing class:
    Parameter

      public static enum Parameter.ParamType
      extends java.lang.Enum<Parameter.ParamType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CATEGORICAL`
    `INTEGER`
    `LOG_INTEGER`
    `LOG_NUMERIC`
    `NUMERIC`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Parameter.ParamType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Parameter.ParamType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CATEGORICAL

          public static final Parameter.ParamType CATEGORICAL

    - #### NUMERIC

          public static final Parameter.ParamType NUMERIC

    - #### LOG_NUMERIC

          public static final Parameter.ParamType LOG_NUMERIC

    - #### INTEGER

          public static final Parameter.ParamType INTEGER

    - #### LOG_INTEGER

          public static final Parameter.ParamType LOG_INTEGER

  - ### Method Detail

    - #### values

          public static Parameter.ParamType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Parameter.ParamType c : Parameter.ParamType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Parameter.ParamType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null